Subject: [PATCH V6 1/2] of: Add generic device tree DMA helpers

From: [email-masked] (Rob Herring)
Date: Wed, 19 Sep 2012 09:36:36 -0500

On 09/19/2012 09:24 AM, Arnd Bergmann wrote:
> On Wednesday 19 September 2012, Matt Porter wrote:
>>> +Optional properties:
>>> +- #dma-channels:     Number of DMA channels supported by the controller.
>>> +- #dma-requests:     Number of DMA requests signals supported by the
>>> +                     controller.
>>
>> Shouldn't these two optional properties drop the prefix #?  By
>> convention adopted from the various original OF/ePAPR/etc specs, the
>> only properties I would expect to see with this prefix are the
>> "*-cells" cell sizes. A quick search indicates this is the case
>> throughout all the current bindings.
> 
> I always assumed that the # prefix is used to indicate that we are counting
> things instead of listing them.

Lots of properties count things, but don't have a #. nr_gpios or spi
chipselect counts for example. I'd say drop the #.

Rob